Subject: Re: [PATCH] Git.pm: Make File::Spec and File::Temp requirement lazy

From: Marcus Griep <[email-masked]>
Date: Fri, 15 Aug 2008 15:46:19 -0400

Bryan Donlan wrote:
> perl's 'require' will only attempt to load a module the first time it
> is used; subsequent attempts will result in a quick no-op, so there's
> no need to further cache. Unless you mean to cache a negative result?
> In which case, the require should be quite fast, as it'll quickly get
> a 'file not found' error without needing to do any compilation.

Aha.  Point taken.  I was under the mistaken impression that an entirely
new context was set up in an 'eval', but it is much more lightweight
than that.  A simplified patch is forthcoming.

-- 
Marcus Griep
GPG Key ID: 0x5E968152
——
http://www.boohaunt.net
את.ψο´